<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
$set['title']='Рыбалка онлайн';
include_once '../sys/inc/thead.php';
title();
aut();

if(!isset($user)){
  header("Location:/index.php");
  exit;
}





include_once 'inc/start.php';
$posts=array();


if($user['id']!=1){
mes('Доступ запрещен');
}
else
{
if($_GET['act']=='a'){
if(isset($_POST['submit'])){


$name=mysql_real_escape_string($_POST['name']);
$rules=mysql_real_escape_string($_POST['rules']);
$start=abs(intval($_POST['date_start']));
$end=abs(intval($_POST['date_end']));
$priz=abs(intval($_POST['priz']));
$min_level=abs(intval($_POST['min_level']));
$max_level=abs(intval($_POST['max_level']));
mysql_query("INSERT INTO `fish_cup`(`name`,`rules`,`date_start`,`date_end`,`priz`,`min_level`,`max_level`) VALUES('".$name."','".$rules."','".$start."','".($start+(60*60*$end))."','".$priz."','".$min_level."','".$max_level."')");
mes('Кубок создан!');
}
echo "Сейчас : ".date("d.m.y | H:i:s",time())."
<form method='post' action='cup_admin.php?act=a'>
<br/>
Название кубка:
<br/>
<input type='text' name='name'/>
<br/>
Правила кубка:
<br/>
<textarea name='rules'></textarea>
<br/>
Начало кубка:
<br/>
<select name='date_start'>
<option value='".(time()+60*20)."'>".date("d.m.y в H:i:s", (time()+60*20))."</option>
<option value='".(time()+60*60*5)."'>".date("d.m.y в H:i:s", (time()+60*60*5))."</option>
<option value='".(time()+60*600)."'>".date("d.m.y в H:i:s", (time()+60*600))."</option>
<option value='".(time()+60*1200)."'>".date("d.m.y в H:i:s", (time()+60*1200))."</option>
<option value='".(time()+60*60*48)."'>".date("d.m.y в H:i:s", (time()+60*60*48))."</option>
<option value='".(time()+60*60*72)."'>".date("d.m.y в H:i:s", (time()+60*60*72))."</option>
<option value='".(time()+60*60*96)."'>".date("d.m.y в H:i:s", (time()+60*60*96))."</option>
<option value='".(time()+60*60*120)."'>".date("d.m.y в H:i:s", (time()+60*60*120))."</option>
<option value='".(time()+60*12000)."'>".date("d.m.y в H:i:s", (time()+60*12000))."</option>
</select>
<br/>
Длительность кубка:
<br/>
<select name='date_end'>
<option value='1'>Час</option>
<option value='2'>2 Часа</option>
<option value='3'>3 Часа</option>
<option value='5'>5 Часов</option>
<option value='10'>10 Часов</option>
<option value='15'>15 Часов</option>
<option value='18'>18 Часов</option>
<option value='24'>День</option>
<option value='48'>Два дня</option>
</select>
<br/>
Приз(баллы)
<br/>
<input name='priz'/>
<br/>
Минимальный уровень участника
<br/>
<input name='min_level'/>
<br/>
Максимальный уровень участника
<br/>
<input name='max_level'/>
<br/>
<input name='submit' type='submit' value='Создать'/>
</form>

";
}
$posts[]=array('title'=>'<a href="cup_admin.php?act=a">Добавить турнир</a>');
$posts[]=array('title'=>'<a href="cup_admin.php?act=b">Удалить турнир</a>');
}
$count=count($posts);
for($i=0;$i<$count;$i++){
if($i%2)
echo "<div class='p_m'><table><tr>".implode($posts[$i])."</tr></table></div>";
else
echo "<div class='p_t'><table><tr>".implode($posts[$i])."</tr></table></div>";
}
ret('В игру','index.php');
include_once '../sys/inc/tfoot.php';

?>